#include "object.h"

void Object_update(Object* self){}

void Object_draw(Object* self){
    gfx_ScaledSprite_NoClip(
        self->sprite, self->x, self->y,
        self->scale.x, self->scale.y);
}
void Object_free(Object* self){
    free(self);
}

Object* new_Object(int x, int y){
    Object* self = (Object*)malloc(sizeof(Object));
    self->x = x;
    self->y = y;
    self->scale.x = self->scale.y = 1;
    self->update = &Object_update;
    self->draw = &Object_draw;
    self->free = &Object_free;
    return self;
}
