#ifndef OBJECT_H_
#define OBJECT_H_

#include <graphx.h>

typedef struct Scale {
    int x;
    int y;
} Scale;
typedef void (*Object_func)(struct Object*);
typedef struct Object {
    int x;
    int y;
    Scale scale;
    gfx_sprite_t* sprite;

    Object_func draw;
    Object_func update;
    Object_func free;
} Object;

Object* new_Object(int x, int y);

#endif
